Menu

## SceneBasics

SceneBasics.php : 14

Provides scene basics.

### Table of Contents

$description : string
$template : SceneTemplate|null
$title : string
getDescription() : string
  Returns scene description.
getTemplate() : SceneTemplate|null
  Returns scene template.
getTitle() : string
  Returns scene title.
setDescription() : mixed
  Sets scene description.
setTemplate() : mixed
  Sets scene template.
setTitle() : mixed
  Sets scene title.

### Properties

#### $description

SceneBasics.php : 19
`private string $description = "{No scene set}"`

##### Tags

Column

  (type="text")

#### $template

SceneBasics.php : 25
`private SceneTemplate|null $template`

##### Tags

ManyToOne

  (targetEntity="SceneTemplate", fetch="EAGER")

JoinColumn

  (name="template", referencedColumnName="class", nullable=true)

#### $title

SceneBasics.php : 17
`private string $title = "{No scene set}"`

##### Tags

Column

  (type="string", length=255)

### Methods

#### getDescription()

SceneBasics.php : 58

Returns scene description.

`public getDescription() : string`

##### Return values

string —

#### getTemplate()

SceneBasics.php : 76

Returns scene template.

`public getTemplate() : SceneTemplate|null`

##### Return values

SceneTemplate|null —

#### getTitle()

SceneBasics.php : 40

Returns scene title.

`public getTitle() : string`

##### Return values

string —

#### setDescription()

SceneBasics.php : 49

Sets scene description.

`public setDescription(string $description) : mixed`

##### Parameters

$description : string

##### Return values

mixed —

#### setTemplate()

SceneBasics.php : 67

Sets scene template.

`public setTemplate(SceneTemplate|null $template) : mixed`

##### Parameters

$template : SceneTemplate|null

##### Return values

mixed —

#### setTitle()

SceneBasics.php : 31

Sets scene title.

`public setTitle(string $title) : mixed`

##### Parameters

$title : string

##### Return values

mixed —

## Search results